/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package org.xmlportletfactory.portal.goodclient.service;

/**
 * <p>
 * This class is a wrapper for {@link usersLocalService}.
 * </p>
 *
 * @author    Jack A. Rider
 * @see       usersLocalService
 * @generated
 */
public class usersLocalServiceWrapper implements usersLocalService {
	public usersLocalServiceWrapper(usersLocalService usersLocalService) {
		_usersLocalService = usersLocalService;
	}

	/**
	* Adds the users to the database. Also notifies the appropriate model listeners.
	*
	* @param users the users to add
	* @return the users that was added
	* @throws SystemException if a system exception occurred
	*/
	public org.xmlportletfactory.portal.goodclient.model.users addusers(
		org.xmlportletfactory.portal.goodclient.model.users users)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.addusers(users);
	}

	/**
	* Creates a new users with the primary key. Does not add the users to the database.
	*
	* @param usersId the primary key for the new users
	* @return the new users
	*/
	public org.xmlportletfactory.portal.goodclient.model.users createusers(
		long usersId) {
		return _usersLocalService.createusers(usersId);
	}

	/**
	* Deletes the users with the primary key from the database. Also notifies the appropriate model listeners.
	*
	* @param usersId the primary key of the users to delete
	* @throws PortalException if a users with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public void deleteusers(long usersId)
		throws com.liferay.portal.kernel.exception.PortalException,
			com.liferay.portal.kernel.exception.SystemException {
		_usersLocalService.deleteusers(usersId);
	}

	/**
	* Deletes the users from the database. Also notifies the appropriate model listeners.
	*
	* @param users the users to delete
	* @throws SystemException if a system exception occurred
	*/
	public void deleteusers(
		org.xmlportletfactory.portal.goodclient.model.users users)
		throws com.liferay.portal.kernel.exception.SystemException {
		_usersLocalService.deleteusers(users);
	}

	/**
	* Performs a dynamic query on the database and returns the matching rows.
	*
	* @param dynamicQuery the dynamic query to search with
	* @return the matching rows
	* @throws SystemException if a system exception occurred
	*/
	@SuppressWarnings("rawtypes")
	public java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.dynamicQuery(dynamicQuery);
	}

	/**
	* Performs a dynamic query on the database and returns a range of the matching rows.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param dynamicQuery the dynamic query to search with
	* @param start the lower bound of the range of model instances to return
	* @param end the upper bound of the range of model instances to return (not inclusive)
	* @return the range of matching rows
	* @throws SystemException if a system exception occurred
	*/
	@SuppressWarnings("rawtypes")
	public java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.dynamicQuery(dynamicQuery, start, end);
	}

	/**
	* Performs a dynamic query on the database and returns an ordered range of the matching rows.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param dynamicQuery the dynamic query to search with
	* @param start the lower bound of the range of model instances to return
	* @param end the upper bound of the range of model instances to return (not inclusive)
	* @param orderByComparator the comparator to order the results by
	* @return the ordered range of matching rows
	* @throws SystemException if a system exception occurred
	*/
	@SuppressWarnings("rawtypes")
	public java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.dynamicQuery(dynamicQuery, start, end,
			orderByComparator);
	}

	/**
	* Counts the number of rows that match the dynamic query.
	*
	* @param dynamicQuery the dynamic query to search with
	* @return the number of rows that match the dynamic query
	* @throws SystemException if a system exception occurred
	*/
	public long dynamicQueryCount(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.dynamicQueryCount(dynamicQuery);
	}

	/**
	* Gets the users with the primary key.
	*
	* @param usersId the primary key of the users to get
	* @return the users
	* @throws PortalException if a users with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public org.xmlportletfactory.portal.goodclient.model.users getusers(
		long usersId)
		throws com.liferay.portal.kernel.exception.PortalException,
			com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.getusers(usersId);
	}

	/**
	* Gets a range of all the userses.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set.
	* </p>
	*
	* @param start the lower bound of the range of userses to return
	* @param end the upper bound of the range of userses to return (not inclusive)
	* @return the range of userses
	* @throws SystemException if a system exception occurred
	*/
	public java.util.List<org.xmlportletfactory.portal.goodclient.model.users> getuserses(
		int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.getuserses(start, end);
	}

	/**
	* Gets the number of userses.
	*
	* @return the number of userses
	* @throws SystemException if a system exception occurred
	*/
	public int getusersesCount()
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.getusersesCount();
	}

	/**
	* Updates the users in the database. Also notifies the appropriate model listeners.
	*
	* @param users the users to update
	* @return the users that was updated
	* @throws SystemException if a system exception occurred
	*/
	public org.xmlportletfactory.portal.goodclient.model.users updateusers(
		org.xmlportletfactory.portal.goodclient.model.users users)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.updateusers(users);
	}

	/**
	* Updates the users in the database. Also notifies the appropriate model listeners.
	*
	* @param users the users to update
	* @param merge whether to merge the users with the current session. See {@link com.liferay.portal.service.persistence.BatchSession#update(com.liferay.portal.kernel.dao.orm.Session, com.liferay.portal.model.BaseModel, boolean)} for an explanation.
	* @return the users that was updated
	* @throws SystemException if a system exception occurred
	*/
	public org.xmlportletfactory.portal.goodclient.model.users updateusers(
		org.xmlportletfactory.portal.goodclient.model.users users, boolean merge)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.updateusers(users, merge);
	}

	public java.util.List findAllInUser(long userId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.findAllInUser(userId);
	}

	public java.util.List findAllInUser(long userId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.findAllInUser(userId, orderByComparator);
	}

	public java.util.List findAllInGroup(long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.findAllInGroup(groupId);
	}

	public java.util.List findAllInGroup(long groupId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.findAllInGroup(groupId, orderByComparator);
	}

	public java.util.List findAllInUserAndGroup(long userId, long groupId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.findAllInUserAndGroup(userId, groupId);
	}

	public java.util.List findAllInUserAndGroup(long userId, long groupId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _usersLocalService.findAllInUserAndGroup(userId, groupId,
			orderByComparator);
	}

	public void remove(
		org.xmlportletfactory.portal.goodclient.model.users fileobj)
		throws com.liferay.portal.kernel.exception.SystemException {
		_usersLocalService.remove(fileobj);
	}

	public usersLocalService getWrappedusersLocalService() {
		return _usersLocalService;
	}

	private usersLocalService _usersLocalService;
}